function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    if (arguments[0]) {
        __processArg(arguments[0], "__parentSymbol");
        __processArg(arguments[0], "$model");
        __processArg(arguments[0], "__itemTemplate");
    }
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createWindow({
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.drag = Ti.UI.createView({
        backgroundColor: "yellow",
        zIndex: 1,
        id: "drag"
    });
    $.__views.index.add($.__views.drag);
    $.__views.view1 = Ti.UI.createView({
        backgroundColor: "blue",
        width: 100,
        height: 100,
        top: 200,
        left: 100,
        zIndex: 2,
        id: "view1"
    });
    $.__views.index.add($.__views.view1);
    $.__views.view2 = Ti.UI.createView({
        backgroundColor: "red",
        width: 180,
        height: 180,
        top: 400,
        right: 200,
        zIndex: 2,
        id: "view2"
    });
    $.__views.index.add($.__views.view2);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var touch_start = 0;
    var win_touch = {
        touchstart: function(e) {
            touch_start = e.x;
        },
        touchmove: function(e) {
            var coords = $.drag.convertPointToView({
                x: e.x,
                y: e.y
            }, $.index);
            var slide = coords.x - touch_start;
            console.log("slide: " + slide);
            console.log("coords.x: " + coords.x);
            console.log("touch_start: " + touch_start);
        }
    };
    $.index.addEventListener("touchstart", win_touch.touchstart);
    $.index.addEventListener("touchmove", win_touch.touchmove);
    $.index.open();
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;